#ifndef __DLG_PRO_BAR__
#define __DLG_PRO_BAR__

#pragma once

// CDlgProBar 对话框
#define  WM_STOPTHREAD		WM_USER + 1001

class CDlgProBar : public CDialogEx
{
	DECLARE_DYNAMIC(CDlgProBar)

public:
	CDlgProBar(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgProBar();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DLG_PROBAR };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();

	ULONGLONG m_ulTimeCount;
	static Brush *m_pBrush;
	static Image *m_spImg;
	static BOOL m_sbRuning;
	UINT	m_nFrameCount;
	INT		m_nCurFrameIndex;
	BYTE*	m_pPropertyItem;
	virtual void OnCancel();

	LRESULT	StopThread(WPARAM wp, LPARAM lp);
	virtual void OnOK();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};

#endif